Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.navigation.page
Class PageLabel

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.navigation.page.PageLabel

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF13)
    public final class PageLabel

extends PdfObjectWrapper<PdfDictionary>

Page label range [PDF:1.7:8.3.1].

It represents a series of consecutive pages' visual identifiers using the same numbering system.

Since:
  0.1.2
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `PageLabel.NumberStyleEnum`

Constructor Summary
`PageLabel(Document context, PageLabel.NumberStyleEnum numberStyle)`
`PageLabel(Document context, String prefix, PageLabel.NumberStyleEnum numberStyle, int numberBase)`

Method Summary
`PageLabel` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`int` | `getNumberBase()` Gets the value of the numeric suffix for the first page label in this range.
`PageLabel.NumberStyleEnum` | `getNumberStyle()` Gets the numbering style to be used for the numeric suffix of each page label in this range.
`String` | `getPrefix()` Gets the label prefix for page labels in this range.
`void` | `setNumberBase(int value)`
`void` | `setNumberStyle(PageLabel.NumberStyleEnum value)`
`void` | `setPrefix(String value)`
`static PageLabel` | `wrap(PdfDirectObject baseObject)` Gets an existing page label range.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageLabel

    public PageLabel(Document context,
                     PageLabel.NumberStyleEnum numberStyle)

### PageLabel

    public PageLabel(Document context,
                     String prefix,
                     PageLabel.NumberStyleEnum numberStyle,
                     int numberBase)

Method Detail

### wrap

    public static PageLabel wrap(PdfDirectObject baseObject)

  Gets an existing page label range.

  Parameters:
    `baseObject` - Base object to wrap.

### clone

    public PageLabel clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getNumberBase

    public int getNumberBase()

  Gets the value of the numeric suffix for the first page label in this range. Subsequent pages are numbered sequentially from this value.

### getNumberStyle

    public PageLabel.NumberStyleEnum getNumberStyle()

  Gets the numbering style to be used for the numeric suffix of each page label in this range.

  If no style is defined, the numeric suffix isn't displayed at all.

### getPrefix

    public String getPrefix()

  Gets the label prefix for page labels in this range.

### setNumberBase

    public void setNumberBase(int value)

  See Also:
    `getNumberBase()`

### setNumberStyle

    public void setNumberStyle(PageLabel.NumberStyleEnum value)

  See Also:
    `getNumberStyle()`

### setPrefix

    public void setPrefix(String value)

  See Also:
    `getPrefix()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.